﻿// Copyright © 2011 - Present RealDimensions Software, LLC
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// 
// You may obtain a copy of the License at
// 
// 	http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

namespace chocolatey.infrastructure.app.domain
{
    using System.Collections.Generic;

    public class CustomInstaller : InstallerBase
    {
        public CustomInstaller()
        {
            InstallExecutable = "\"{0}\"".format_with(InstallTokens.INSTALLER_LOCATION);
            SilentInstall = "/S";
            NoReboot = "";
            LogFile = "";
            CustomInstallLocation = "";
            Language = "";
            OtherInstallOptions = "";
            UninstallExecutable = "\"{0}\"".format_with(InstallTokens.UNINSTALLER_LOCATION);
            SilentUninstall = "/S";
            OtherUninstallOptions = "";
            ValidInstallExitCodes = new List<int> { 0 };
            ValidUninstallExitCodes = new List<int> { 0 };
        }

        public override InstallerType InstallerType
        {
            get { return InstallerType.Custom; }
        }

        public override string build_install_command_arguments(bool customInstallLocation, bool languageRequested)
        {
            if (customInstallLocation) this.Log().Warn("CustomInstaller doesn't support custom install locations.");
            if (languageRequested) this.Log().Warn("CustomInstaller doesn't support custom language options.");
           
            return string.Empty;
        }

        public override string build_uninstall_command_arguments()
        {
            return string.Empty;
        }
    }
}